package org.beigesoft.comparator;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import java.util.Comparator;
import java.io.Serializable;

import org.beigesoft.model.IHasId;

/**
 * <p>Comparator of model that has ID Long.</p>
 *
 * @param <T> has ID long type
 * @author Yury Demidenko
 */
public class CmprHasIdLong<T extends IHasId<Long>>
  implements Comparator<T>, Serializable {

  /**
   * <p>serialVersionUID.</p>
   **/
  static final long serialVersionUID = 713385276313412L;

  @Override
  public final int compare(final T o1, final T o2) {
    return o1.getItsId().compareTo(o2.getItsId());
  }
}
