package org.beigesoft.filter;

/*
 * Copyright (c) 2018 Beigesoft ™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import java.util.List;
import java.util.ArrayList;

/**
 * <p>
 * Filter of items.
 * </p>
 * @param <E> type of item
 * @author Yury Demidenko
 */
public class FilterItems<E> extends AFilter {

  /**
   * <p>All available items.</p>
   **/
  private List<E> itemsAll = new ArrayList<E>();

  /**
   * <p>Chosen items.</p>
   **/
  private List<E> items = new ArrayList<E>();

  //Simple getters and setters:
  /**
   * <p>Getter for itemsAll.</p>
   * @return List<E>
   **/
  public final List<E> getItemsAll() {
    return this.itemsAll;
  }

  /**
   * <p>Setter for itemsAll.</p>
   * @param pItemsAll reference
   **/
  public final void setItemsAll(final List<E> pItemsAll) {
    this.itemsAll = pItemsAll;
  }

  /**
   * <p>Getter for items.</p>
   * @return List<E>
   **/
  public final List<E> getItems() {
    return this.items;
  }

  /**
   * <p>Setter for items.</p>
   * @param pItems reference
   **/
  public final void setItems(final List<E> pItems) {
    this.items = pItems;
  }
}
