package org.beigesoft.model;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import java.util.List;

/**
 * <p>Node to make generic tree.</p>
 *
 * @param <T> value type
 * @author Yury Demidenko
 */
public class Node<T> {

  /**
   * <p>Name.</p>
   **/
  private String itsName;

  /**
   * <p>Value.</p>
   **/
  private T itsValue;

  /**
   * <p>Owned nodes.</p>
   **/
  private List<Node<T>> itsNodes;

  //Simple getters and setters:
  /**
   * <p>Getter for itsName.</p>
   * @return String
   **/
  public final String getItsName() {
    return this.itsName;
  }

  /**
   * <p>Setter for itsName.</p>
   * @param pItsName reference
   **/
  public final void setItsName(final String pItsName) {
    this.itsName = pItsName;
  }

  /**
   * <p>Getter for itsValue.</p>
   * @return T
   **/
  public final T getItsValue() {
    return this.itsValue;
  }

  /**
   * <p>Setter for itsValue.</p>
   * @param pItsValue reference
   **/
  public final void setItsValue(final T pItsValue) {
    this.itsValue = pItsValue;
  }

  /**
   * <p>Getter for itsNodes.</p>
   * @return List<Node>
   **/
  public final List<Node<T>> getItsNodes() {
    return this.itsNodes;
  }

  /**
   * <p>Setter for itsNodes.</p>
   * @param pItsNodes reference
   **/
  public final void setItsNodes(final List<Node<T>> pItsNodes) {
    this.itsNodes = pItsNodes;
  }
}
