package org.beigesoft.persistable;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import org.beigesoft.model.IHasIdLongVersionName;

/**
 * <p>
 * Model of ID of I18N name. Beige-ORM does not support generic fields,
 * so internationalized things IHasName should be in extending class.
 * </p>
 *
 * @param <T> item type
 * @author Yury Demidenko
 */
public abstract class AI18nNameId<T extends IHasIdLongVersionName> {

  /**
   * <p>The language.</p>
   **/
  private Languages lang;

  /**
   * <p>Getter for hasName.</p>
   * @return IHasName
   **/
  public abstract T getHasName();

  /**
   * <p>Setter for hasName.</p>
   * @param pHasName reference
   **/
  public abstract void setHasName(T pHasName);

  //Simple getters and setters:
  /**
   * <p>Getter for lang.</p>
   * @return Languages
   **/
  public final Languages getLang() {
    return this.lang;
  }

  /**
   * <p>Setter for lang.</p>
   * @param pLang reference
   **/
  public final void setLang(final Languages pLang) {
    this.lang = pLang;
  }
}
