package org.beigesoft.persistable;

/*
 * Copyright (c) 2018 Beigesoft ™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

/**
 * <p>
 * Composite ID of I18N preferences for a country.
 * </p>
 *
 * @author Yury Demidenko
 */
public class IdLangPreferences {

  /**
   * <p>Country.</p>
   **/
  private Countries country;

  /**
   * <p>Language.</p>
   **/
  private Languages lang;

  //Simple getters and setters:
  /**
   * <p>Getter for country.</p>
   * @return Countries
   **/
  public final Countries getCountry() {
    return this.country;
  }

  /**
   * <p>Setter for country.</p>
   * @param pCountry reference
   **/
  public final void setCountry(final Countries pCountry) {
    this.country = pCountry;
  }

  /**
   * <p>Getter for lang.</p>
   * @return Languages
   **/
  public final Languages getLang() {
    return this.lang;
  }

  /**
   * <p>Setter for lang.</p>
   * @param pLang reference
   **/
  public final void setLang(final Languages pLang) {
    this.lang = pLang;
  }
}
