package org.beigesoft.persistable;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import java.util.List;

/**
 * <p>Persistable model to match native values to foreign ones.
 * It's usually entities IDs.</p>
 *
 * @author Yury Demidenko
 */
public class MatchForeign extends AHasNameIdLongVersion {

  /**
   * <p>not null, simple class name of native entity,
   * e.g. InvItemCategory.</p>
   **/
  private String className;

  /**
   * <p>Columns all or useful to read.</p>
   **/
  private List<MatchForeignLine> itsLines;

  //Simple getters and setters:
  /**
   * <p>Getter for className.</p>
   * @return String
   **/
  public final String getClassName() {
    return this.className;
  }

  /**
   * <p>Setter for className.</p>
   * @param pClassName reference
   **/
  public final void setClassName(final String pClassName) {
    this.className = pClassName;
  }

  /**
   * <p>Getter for itsLines.</p>
   * @return List<MatchForeignLine>
   **/
  public final List<MatchForeignLine> getItsLines() {
    return this.itsLines;
  }

  /**
   * <p>Setter for itsLines.</p>
   * @param pItsLines reference
   **/
  public final void setItsLines(final List<MatchForeignLine> pItsLines) {
    this.itsLines = pItsLines;
  }
}
