package org.beigesoft.persistable;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import org.beigesoft.model.IOwned;

/**
 * <p>Persistable model to match native value to foreign one.
 * It's usually entity ID.</p>
 *
 * @author Yury Demidenko
 */
public class MatchForeignLine extends AHasIdLongVersion
  implements IOwned<MatchForeign> {

  /**
   * <p>not null, owner.</p>
   **/
  private MatchForeign itsOwner;

  /**
   * <p>not null, native value itsId.toString(),
   * for String ID it's original value.</p>
   **/
  private String nativeVal;

  /**
   * <p>not null, foreign value.</p>
   **/
  private String foreignVal;

  /**
   * <p>Optional, only for ID value in current database
   * to make SQL queries, hidden field.</p>
   **/
  private Long longId1;

  /**
   * <p>Optional, only for complex ID value in current database
   * to make SQL queries, hidden field.</p>
   **/
  private Long longId2;

  /**
   * <p>Getter for itsOwner.</p>
   * @return MatchForeign
   **/
  @Override
  public final MatchForeign getItsOwner() {
    return this.itsOwner;
  }

  /**
   * <p>Setter for itsOwner.</p>
   * @param pItsOwner reference
   **/
  @Override
  public final void setItsOwner(final MatchForeign pItsOwner) {
    this.itsOwner = pItsOwner;
  }

  //Simple getters and setters:
  /**
   * <p>Getter for nativeVal.</p>
   * @return String
   **/
  public final String getNativeVal() {
    return this.nativeVal;
  }

  /**
   * <p>Setter for nativeVal.</p>
   * @param pNativeVal reference
   **/
  public final void setNativeVal(final String pNativeVal) {
    this.nativeVal = pNativeVal;
  }

  /**
   * <p>Getter for foreignVal.</p>
   * @return String
   **/
  public final String getForeignVal() {
    return this.foreignVal;
  }

  /**
   * <p>Setter for foreignVal.</p>
   * @param pForeignVal reference
   **/
  public final void setForeignVal(final String pForeignVal) {
    this.foreignVal = pForeignVal;
  }

  /**
   * <p>Getter for longId1.</p>
   * @return Long
   **/
  public final Long getLongId1() {
    return this.longId1;
  }

  /**
   * <p>Setter for longId1.</p>
   * @param pLongId1 reference
   **/
  public final void setLongId1(final Long pLongId1) {
    this.longId1 = pLongId1;
  }

  /**
   * <p>Getter for longId2.</p>
   * @return Long
   **/
  public final Long getLongId2() {
    return this.longId2;
  }

  /**
   * <p>Setter for longId2.</p>
   * @param pLongId2 reference
   **/
  public final void setLongId2(final Long pLongId2) {
    this.longId2 = pLongId2;
  }
}
