package org.beigesoft.service;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import java.util.List;
import java.util.Map;

import org.beigesoft.model.Node;

/**
 * <p>Basic service that retrieves CSV data.</p>
 *
 * @author Yury Demidenko
 */
public interface ICsvDataRetriever {

  /**
   * <p>Retrieves CSV data.</p>
   * @param pReqVars additional param
   * @return data table
   * @throws Exception an Exception
   **/
  List<List<Object>> retrieveData(
    Map<String, Object> pReqVars) throws Exception;

  /**
   * <p>Retrieves sample data row (tree) to make CSV column.</p>
   * @param pReqVars additional param
   * @return sample data row
   * @throws Exception an Exception
   **/
  List<Node<String>> getSampleDataRow(
    Map<String, Object> pReqVars) throws Exception;
}
