package org.beigesoft.service;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import java.util.List;
import java.util.Map;
import java.io.Reader;

import org.beigesoft.persistable.CsvMethod;

/**
 * <p>Basic reading service that reads next line from CSV file.</p>
 *
 * @author Yury Demidenko
 */
public interface ICsvReader {

  /**
   * <p>Reads next line from CSV file as list of Strings,
   * returns null if no more rows left.</p>
   * @param pReqVars additional param
   * @param pReader Reader
   * @param pCsvMethod Csv Method
   * @return List<String> list of columns values or null if no more rows left
   * @throws Exception an Exception
   **/
  List<String> readNextRow(Map<String, Object> pReqVars,
    Reader pReader, CsvMethod pCsvMethod) throws Exception;
}
