package org.beigesoft.service;

/*
 * Copyright (c) 2018 Beigesoft™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import java.util.List;
import java.util.Map;
import java.io.OutputStream;

import org.beigesoft.persistable.CsvMethod;

/**
 * <p>Basic writing service that writes CSV data into given stream according
 * given data table and CSV method.</p>
 *
 * @author Yury Demidenko
 */
public interface ICsvWriter {

  /**
   * <p>Writes CSV file according given data table and CSV method.</p>
   * @param pReqVars additional param
   * @param pData data table
   * @param pCsvMethod Csv Method
   * @param pOus servlet/file output stream
   * @throws Exception an Exception
   **/
  void write(Map<String, Object> pReqVars, List<List<Object>> pData,
    CsvMethod pCsvMethod, final OutputStream pOus) throws Exception;
}
