package org.beigesoft.service;

/*
 * Copyright (c) 2018 Beigesoft ™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import static org.junit.Assert.*;
import org.junit.Test;

/**
 * <p>NtS tests.</p>
 *
 * @author Yury Demidenko
 */
public class NumberToStringTest {

  /**
   * <p>NumberToString service.</p>
   **/
  private final SrvNumberToString srvNumberToString = new SrvNumberToString();
  
  @Test
  public void tst1(){
    assertEquals("1 236 789,12", srvNumberToString.print("1236789.1278", ",", " ", 2, 3));
    assertEquals("1 236 789,1", srvNumberToString.print("1236789.1278", ",", " ", 1, 3));
    assertEquals("1 236 789", srvNumberToString.print("1236789.1278", ",", " ", 0, 3));
    assertEquals("1 236 789", srvNumberToString.print("1236789", ",", " ", 0, 3));
    assertEquals("1 236 789,00", srvNumberToString.print("1236789", ",", " ", 2, 3));
    assertEquals("1,236,789.12", srvNumberToString.print("1236789.1278", ".", ",", 2, 3));
    assertEquals("1 236 789,1278", srvNumberToString.print("1236789.1278", ",", " ", 4, 3));
    assertEquals("1,236,789.1278", srvNumberToString.print("1236789.1278", ".", ",", 4, 3));
    assertEquals("12,36,78,91,278", srvNumberToString.print("12367891278", ".", ",", 0, 2));
    assertEquals("-1 236 789,12", srvNumberToString.print("-1236789.1278", ",", " ", 2, 3));
    assertEquals("-1 236 789,1", srvNumberToString.print("-1236789.1278", ",", " ", 1, 3));
    assertEquals("-1 236 789", srvNumberToString.print("-1236789.1278", ",", " ", 0, 3));
    assertEquals("-1 236 789", srvNumberToString.print("-1236789", ",", " ", 0, 3));
    assertEquals("-1 236 789,00", srvNumberToString.print("-1236789", ",", " ", 2, 3));
    assertEquals("-1,236,789.12", srvNumberToString.print("-1236789.1278", ".", ",", 2, 3));
    assertEquals("-1 236 789,1278", srvNumberToString.print("-1236789.1278", ",", " ", 4, 3));
    assertEquals("-1,236,789.1278", srvNumberToString.print("-1236789.1278", ".", ",", 4, 3));
    assertEquals("-12,36,78,91,278", srvNumberToString.print("-12367891278", ".", ",", 0, 2));
    assertEquals("", srvNumberToString.print("", ",", " ", 4, 2));
    assertEquals("", srvNumberToString.print(null, ",", " ", 4, 2));
  }
  
}
